Bug 1002359 - hostapd 2.0-4 fails with message "nl80211: Failed to set interface wlan0 into AP mode"
hostapd 2.0-4 fails with message "nl80211: Failed to set interface wlan0 into...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: hostapd (Show other bugs)
18
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: John W. Linville
Fedora Extras Quality Assurance
: Regression, WorkAround
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-28 22:08 EDT by Ezequiel Birman
Modified: 2014-03-28 12:34 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:20:20 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
current hostapd.conf (1.18 KB, text/plain)
2013-08-30 15:38 EDT, Ezequiel Birman
no flags Details

  None (edit)
Description Ezequiel Birman 2013-08-28 22:08:42 EDT
Description of problem:

Latest hostapd-2.0-4 fails with driver nl80211



Version-Release number of selected component (if applicable):

hostapd-1.0-3.fc18.x86_64



Steps to Reproduce:
1. > sudo ifconfig wlan0 10.0.0.1 netmask 255.255.255.0 broadcast 10.0.0.255
2. > sudo /usr/sbin/hostapd -dd /etc/hostapd/hostapd.conf -P /run/hostapd.pid -B


Actual results:

    ~❯ sudo /usr/sbin/hostapd -dd /etc/hostapd/hostapd.conf -P /run/hostapd.pid -B
    random: Trying to read entropy from /dev/random
    Configuration file: /etc/hostapd/hostapd.conf
    ctrl_interface_group=10 (from group name 'wheel')
    nl80211: interface wlan0 in phy phy0
    rfkill: initial event: idx=0 type=1 op=0 soft=0 hard=0
    nl80211: Using driver-based off-channel TX
    nl80211: Use separate P2P group interface (driver advertised support)
    nl80211: TDLS supported
    nl80211: TDLS external setup
    nl80211: Add own interface ifindex 5
    nl80211: Set mode ifindex 5 iftype 3 (AP)
    nl80211: Setup AP - device_ap_sme=0 use_monitor=0
    nl80211: Subscribe to mgmt frames with AP handle 0x2214280
    nl80211: Register frame type=0xb0 nl_handle=0x2214280
    nl80211: Register frame match - hexdump(len=0): [NULL]
    nl80211: Register frame type=0x0 nl_handle=0x2214280
    nl80211: Register frame match - hexdump(len=0): [NULL]
    nl80211: Register frame type=0x20 nl_handle=0x2214280
    nl80211: Register frame match - hexdump(len=0): [NULL]
    nl80211: Register frame type=0xa0 nl_handle=0x2214280
    nl80211: Register frame match - hexdump(len=0): [NULL]
    nl80211: Register frame type=0xc0 nl_handle=0x2214280
    nl80211: Register frame match - hexdump(len=0): [NULL]
    nl80211: Register frame type=0xd0 nl_handle=0x2214280
    nl80211: Register frame match - hexdump(len=0): [NULL]
    nl80211: Register frame command failed (type=208): ret=-114 (Operation already in progress)
    nl80211: Register frame match - hexdump(len=0): [NULL]
    nl80211: Failed to set interface wlan0 into AP mode
    netlink: Operstate: linkmode=0, operstate=6
    nl80211: Set mode ifindex 5 iftype 2 (STATION)
    nl80211 driver initialization failed.


Workaround:

Run 'yum downgrade hostapd hostapd-logwatch'

hostapd-1.0-3 works as expected
Comment 1 Ezequiel Birman 2013-08-28 22:15:01 EDT
Using module ath9k

Network controller: Atheros Communications Inc. AR9300 Wireless LAN adaptor (rev 01)
Comment 2 Ezequiel Birman 2013-08-29 06:25:29 EDT
Excpected results:

> sudo /usr/sbin/hostapd -dd /etc/hostapd/hostapd.conf -P /run/hostapd.pid -B
random: Trying to read entropy from /dev/random
Configuration file: /etc/hostapd/hostapd.conf
ctrl_interface_group=10 (from group name 'wheel')
nl80211: interface wlan0 in phy phy1
rfkill: initial event: idx=1 type=1 op=0 soft=0 hard=0
nl80211: Using driver-based off-channel TX
nl80211: Use separate P2P group interface (driver advertised support)
nl80211: TDLS supported
nl80211: TDLS external setup
nl80211: Register frame command failed (type=208): ret=-114 (Operation already in progress)
nl80211: Register frame match - hexdump(len=1): 06
nl80211: Failed to register Action frame processing - ignore for now
nl80211: Add own interface ifindex 8
nl80211: Set mode ifindex 8 iftype 3 (AP)
nl80211: Create interface iftype 6 (MONITOR)
nl80211: New interface mon.wlan0 created: ifindex=11
nl80211: Add own interface ifindex 11
BSS count 1, BSSID mask 00:00:00:00:00:00 (0 bits)
nl80211: Regulatory information - country=AR
nl80211: 2402-2482 @ 40 MHz
nl80211: 5170-5250 @ 40 MHz
nl80211: 5250-5330 @ 40 MHz
nl80211: 5490-5710 @ 40 MHz
nl80211: 5735-5835 @ 40 MHz
nl80211: Added 802.11b mode based on 802.11g information
Allowed channel: mode=1 chan=1 freq=2412 MHz max_tx_power=20 dBm
Allowed channel: mode=1 chan=2 freq=2417 MHz max_tx_power=20 dBm
Allowed channel: mode=1 chan=3 freq=2422 MHz max_tx_power=20 dBm
Allowed channel: mode=1 chan=4 freq=2427 MHz max_tx_power=20 dBm
Allowed channel: mode=1 chan=5 freq=2432 MHz max_tx_power=20 dBm
Allowed channel: mode=1 chan=6 freq=2437 MHz max_tx_power=20 dBm
Allowed channel: mode=1 chan=7 freq=2442 MHz max_tx_power=20 dBm
Allowed channel: mode=1 chan=8 freq=2447 MHz max_tx_power=20 dBm
Allowed channel: mode=1 chan=9 freq=2452 MHz max_tx_power=20 dBm
Allowed channel: mode=1 chan=10 freq=2457 MHz max_tx_power=20 dBm
Allowed channel: mode=1 chan=11 freq=2462 MHz max_tx_power=20 dBm
Allowed channel: mode=1 chan=12 freq=2467 MHz max_tx_power=20 dBm
Allowed channel: mode=1 chan=13 freq=2472 MHz max_tx_power=20 dBm
Allowed channel: mode=2 chan=36 freq=5180 MHz max_tx_power=17 dBm
Allowed channel: mode=2 chan=40 freq=5200 MHz max_tx_power=17 dBm
Allowed channel: mode=2 chan=44 freq=5220 MHz max_tx_power=17 dBm
Allowed channel: mode=2 chan=48 freq=5240 MHz max_tx_power=17 dBm
Allowed channel: mode=2 chan=149 freq=5745 MHz max_tx_power=30 dBm
Allowed channel: mode=2 chan=153 freq=5765 MHz max_tx_power=30 dBm
Allowed channel: mode=2 chan=157 freq=5785 MHz max_tx_power=30 dBm
Allowed channel: mode=2 chan=161 freq=5805 MHz max_tx_power=30 dBm
Allowed channel: mode=2 chan=165 freq=5825 MHz max_tx_power=30 dBm
Allowed channel: mode=0 chan=1 freq=2412 MHz max_tx_power=20 dBm
Allowed channel: mode=0 chan=2 freq=2417 MHz max_tx_power=20 dBm
Allowed channel: mode=0 chan=3 freq=2422 MHz max_tx_power=20 dBm
Allowed channel: mode=0 chan=4 freq=2427 MHz max_tx_power=20 dBm
Allowed channel: mode=0 chan=5 freq=2432 MHz max_tx_power=20 dBm
Allowed channel: mode=0 chan=6 freq=2437 MHz max_tx_power=20 dBm
Allowed channel: mode=0 chan=7 freq=2442 MHz max_tx_power=20 dBm
Allowed channel: mode=0 chan=8 freq=2447 MHz max_tx_power=20 dBm
Allowed channel: mode=0 chan=9 freq=2452 MHz max_tx_power=20 dBm
Allowed channel: mode=0 chan=10 freq=2457 MHz max_tx_power=20 dBm
Allowed channel: mode=0 chan=11 freq=2462 MHz max_tx_power=20 dBm
Allowed channel: mode=0 chan=12 freq=2467 MHz max_tx_power=20 dBmAllowed channel: mode=0 chan=13 freq=2472 MHz max_tx_power=20 dBm
Completing interface initialization
Mode: IEEE 802.11g  Channel: 11  Frequency: 2462 MHz
nl80211: Set freq 2462 (ht_enabled=0 sec_channel_offset=0)
Failed to update rate sets in kernel module
RATE[0] rate=10 flags=0x1
RATE[1] rate=20 flags=0x1
RATE[2] rate=55 flags=0x1
RATE[3] rate=110 flags=0x1
RATE[4] rate=60 flags=0x0
RATE[5] rate=90 flags=0x0
RATE[6] rate=120 flags=0x0
RATE[7] rate=180 flags=0x0
RATE[8] rate=240 flags=0x0
RATE[9] rate=360 flags=0x0
RATE[10] rate=480 flags=0x0
RATE[11] rate=540 flags=0x0
Flushing old station entries
Deauthenticate all stations
wpa_driver_nl80211_set_key: ifindex=8 alg=0 addr=(nil) key_idx=0 set_tx=0 seq_len=0 key_len=0
wpa_driver_nl80211_set_key: ifindex=8 alg=0 addr=(nil) key_idx=1 set_tx=0 seq_len=0 key_len=0
wpa_driver_nl80211_set_key: ifindex=8 alg=0 addr=(nil) key_idx=2 set_tx=0 seq_len=0 key_len=0
wpa_driver_nl80211_set_key: ifindex=8 alg=0 addr=(nil) key_idx=3 set_tx=0 seq_len=0 key_len=0
Using interface wlan0 with hwaddr 90:f6:52:13:33:f4 and ssid 'espiga4'
Deriving WPA PSK based on passphrase
SSID - hexdump_ascii(len=7):
     65 73 70 69 67 61 34                              espiga4         
PSK (ASCII passphrase) - hexdump_ascii(len=9): [REMOVED]
PSK (from passphrase) - hexdump(len=32): [REMOVED]
random: Got 16/20 bytes from /dev/random
random: Only 16/20 bytes of strong random data available from /dev/random
random: Not enough entropy pool available for secure operations
WPA: Not enough entropy in random pool for secure operations - update keys later when the first station connects
Get randomness: len=32 entropy=0
GMK - hexdump(len=32): [REMOVED]
Get randomness: len=32 entropy=0
Key Counter - hexdump(len=32): [REMOVED]
WPA: Delay group state machine start until Beacon frames have been configured
nl80211: Set beacon (beacon_set=0)
WPA: Start group state machine to set initial keys
WPA: group state machine entering state GTK_INIT (VLAN-ID 0)
Get randomness: len=16 entropy=0
GTK - hexdump(len=32): [REMOVED]
WPA: group state machine entering state SETKEYSDONE (VLAN-ID 0)
wpa_driver_nl80211_set_key: ifindex=8 alg=2 addr=0x4550da key_idx=1 set_tx=1 seq_len=0 key_len=32
   broadcast key
wpa_driver_nl80211_set_operstate: operstate 0->1 (UP)
netlink: Operstate: linkmode=-1, operstate=6
wlan0: Setup of interface done.
Comment 3 John W. Linville 2013-08-29 10:33:07 EDT
Going from 1.0-3 to 2.0-4 is a big gap.  Did you try anything in between?

Can you provide your hostapd.conf file?
Comment 4 Simone Caronni 2013-08-29 10:59:25 EDT
Yes please, paste the hostapd.conf file.

Here is an example hostapd.conf that works with 2.0 on the ath9k driver:

ctrl_interface=/var/run/wpa_supplicant
ctrl_interface_group=wheel
macaddr_acl=0
auth_algs=1
ignore_broadcast_ssid=0
wpa=1
wpa_key_mgmt=WPA-PSK
wpa_pairwise=TKIP
wpa_passphrase=test
driver=nl80211
interface=wlan0
hw_mode=b or g
channel=6
ssid=TEST
Comment 5 Ezequiel Birman 2013-08-30 15:38:44 EDT
Created attachment 792310 [details]
current hostapd.conf

This is my current hostapd.conf

I've tried disabling options and changing channels already
Comment 6 Ezequiel Birman 2013-08-30 15:41:10 EDT
(In reply to Simone Caronni from comment #4)
> Yes please, paste the hostapd.conf file.
> 
> Here is an example hostapd.conf that works with 2.0 on the ath9k driver:
> 
> ctrl_interface=/var/run/wpa_supplicant
> ctrl_interface_group=wheel
> macaddr_acl=0
> auth_algs=1
> ignore_broadcast_ssid=0
> wpa=1
> wpa_key_mgmt=WPA-PSK
> wpa_pairwise=TKIP
> wpa_passphrase=test
> driver=nl80211
> interface=wlan0
> hw_mode=b or g
> channel=6
> ssid=TEST

This hostapd.conf reproduces the fail as well
Comment 7 Ezequiel Birman 2013-08-30 15:43:11 EDT
(In reply to John W. Linville from comment #3)
> Going from 1.0-3 to 2.0-4 is a big gap.  Did you try anything in between?
> 
> Can you provide your hostapd.conf file?

I've attached my hostapd.conf

I've update my system everyday with yum-cron. I'll check if there are other rpms in between.
Comment 8 Ezequiel Birman 2013-08-30 15:49:16 EDT
(In reply to Ezequiel Birman from comment #7)
> (In reply to John W. Linville from comment #3)
> > Going from 1.0-3 to 2.0-4 is a big gap.  Did you try anything in between?
> > 
> > Can you provide your hostapd.conf file?
> 
> I've attached my hostapd.conf
> 
> I've update my system everyday with yum-cron. I'll check if there are other
> rpms in between.

I see now there are package versions that fill the gap. I am not sure why my system went from 1.0-3 to 2.0-4 maybe some brokenb transaction prevented the update (?) I'll try those previous versions and report back. Thank you. Please don't close this bug yet.
Comment 9 Ezequiel Birman 2013-08-30 15:53:57 EDT
(In reply to Ezequiel Birman from comment #8)
> (In reply to Ezequiel Birman from comment #7)
> > (In reply to John W. Linville from comment #3)
> > > Going from 1.0-3 to 2.0-4 is a big gap.  Did you try anything in between?
> > > 
> > > Can you provide your hostapd.conf file?
> > 
> > I've attached my hostapd.conf
> > 
> > I've update my system everyday with yum-cron. I'll check if there are other
> > rpms in between.
> 
> I see now there are package versions that fill the gap. I am not sure why my
> system went from 1.0-3 to 2.0-4 maybe some brokenb transaction prevented the
> update (?) I'll try those previous versions and report back. Thank you.
> Please don't close this bug yet.

Nay, There are versions 1.0-4  and 2.0-1, 2.0-2, 2.0-3 avaliable for f19 but f18 goes straight from 1.0-3 to 2.0-4

I'll upgrade and hope for the best
Comment 10 Roy Rankin 2013-09-08 09:38:59 EDT
I am seeing the same issue in F19 on the  wifi adaptor shown below.

2.0-1 and 2.0-4 give same error as above, but 1.0-4 loads
 
24:00.0 Network controller: Intel Corporation Centrino Advanced-N 6230 [Rainbow Peak] (rev 34)
	Subsystem: Intel Corporation Centrino Advanced-N 6230 AGN
	Kernel driver in use: iwlwifi
Comment 11 Fedora End Of Life 2013-12-21 09:32:02 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2014-02-05 17:20:20 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 13 Itamar Reis Peixoto 2014-03-28 12:34:53 EDT
a workarround for this issue is to remove your wlan interface from wpa_supplicant config (add all other nics except your wlan used in hostapd)

/etc/sysconfig/wpa_supplicant
INTERFACES="-ieth0"

Note You need to log in before you can comment on or make changes to this bug.